Package io.github.jdbcx.driver

# Class QueryResult

java.lang.Object
io.github.jdbcx.driver.QueryResult

All Implemented Interfaces:
  `AutoCloseable`

public final class QueryResult extends Object implements AutoCloseable

## Constructor Summary

Constructors
Constructor
Description
`QueryResult(AtomicReference<SQLWarning> warnings)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ResultSet`
`getGeneratedKeys()`
`ResultSet`
`getResultSet()`
`Integer`
`getUpdateCount()`
`SQLWarning`
`getWarnings()`
`boolean`
`hasGeneratedKeys()`
`boolean`
`hasResultSet()`
`boolean`
`hasUpdateCount()`
`boolean`
`hasWarnings()`
`void`
`reset()`
`protected void`
`resetValues()`
`void`
`setGeneratedKeys(ResultSet rs)`
`void`
`setNextWarning(SQLWarning next)`
`void`
`setResultSet(ResultSet rs)`
`void`
`setUpdateCount(int updateCount)`
`void`
`setWarnings(SQLWarning warnings)`
`void`
`updateAll(ResultSet keys, ResultSet rs, int affectedRows)`
`void`
`updateKeys(ResultSet keys, int affectedRows)`
`void`
`updateResult(ResultSet rs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryResult

public QueryResult(AtomicReference<SQLWarning> warnings)

## Method Details

### resetValues

protected void resetValues()

### reset

public void reset()

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`

### getGeneratedKeys

public ResultSet getGeneratedKeys()

### getResultSet

public ResultSet getResultSet()

### getUpdateCount

public Integer getUpdateCount()

### getWarnings

public SQLWarning getWarnings()

### hasGeneratedKeys

public boolean hasGeneratedKeys()

### hasResultSet

public boolean hasResultSet()

### hasUpdateCount

public boolean hasUpdateCount()

### hasWarnings

public boolean hasWarnings()

### setGeneratedKeys

public void setGeneratedKeys(ResultSet rs)

### setResultSet

public void setResultSet(ResultSet rs)

### setUpdateCount

public void setUpdateCount(int updateCount)

### setWarnings

public void setWarnings(SQLWarning warnings)

### setNextWarning

public void setNextWarning(SQLWarning next)

### updateAll

public void updateAll(ResultSet keys, ResultSet rs, int affectedRows) throws SQLException

Throws:
  `SQLException`

### updateKeys

public void updateKeys(ResultSet keys, int affectedRows) throws SQLException

Throws:
  `SQLException`

### updateResult

public void updateResult(ResultSet rs) throws SQLException

Throws:
  `SQLException`